## wrappercamerabinsrc wrappercamerabinsrc |

## Properties

GstElement * | video-src | Read / Write
GstElement * | video-source | Read / Write
GstElement * | video-source-filter | Read / Write

## Types and Values

struct | GstWrapperCameraBinSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstBaseCameraSrc
                            ╰── GstWrapperCameraBinSrc

## Implemented Interfaces

GstWrapperCameraBinSrc implements GstChildProxy.

## Description

A camera bin src element that wraps a default video source with a single pad into the 3pad model that camerabin2 expects.

## Synopsis

### Element Information

plugin | camerabin
author | Thiago Santos <thiago.sousa.santos@collabora.com>
class | Source/Video

### Element Pads

name | imgsrc
direction | source
presence | always
details | ANY

name | vfsrc
direction | source
presence | always
details | ANY

name | vidsrc
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstWrapperCameraBinSrc

    struct GstWrapperCameraBinSrc;

## Property Details

### The `“video-src”` property

      “video-src”                GstElement *

The video source element to be used.

Flags: Read / Write

### The `“video-source”` property

      “video-source”             GstElement *

The video source element to be used.

Flags: Read / Write

### The `“video-source-filter”` property

      “video-source-filter”      GstElement *

Optional video source filter element.

Flags: Read / Write